Name:           libbsd
Version:        0.12.2
Release:        1
Summary:        Library providing BSD-compatible functions for portability
URL:            http://libbsd.freedesktop.org/
License:        BSD and ISC and Copyright only and Public Domain

Source0:        http://libbsd.freedesktop.org/releases/libbsd-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  autoconf automake libtool
BuildRequires:  make
BuildRequires:  gnupg2 libmd-devel

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package devel
Summary:        Development files for libbsd
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for the libbsd library.

%package ctor-static
Summary:        Development files for libbsd
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description ctor-static
The libbsd-ctor static library is required if setproctitle() is to be used
when libbsd is loaded via dlopen() from a threaded program.  This can be
configured using "pkg-config --libs libbsd-ctor".

%prep
%setup -q

%build
%configure
%make_build

%check
%make_build check

%install
%make_install

rm %{buildroot}%{_libdir}/%{name}.a
rm %{buildroot}%{_libdir}/%{name}.la
rm %{buildroot}%{_mandir}/man3/explicit_bzero.3bsd

%ldconfig_scriptlets

%files
%license COPYING
%doc README TODO ChangeLog
%{_libdir}/%{name}.so.*

%files devel
%{_mandir}/man3/*.3bsd.*
%{_mandir}/man7/%{name}.7.*
%{_includedir}/bsd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-overlay.pc

%files ctor-static
%{_libdir}/%{name}-ctor.a
%{_libdir}/pkgconfig/%{name}-ctor.pc

%changelog
* Thu Jul  4 2024 warlcok <hunan@kylinos.cn> - 0.12.2-1
- update to 0.12.2

* Fri Jul 15 2022 misaka00251 <misaka00251@misakanet.cn> - 0.10.0-1
- Init package (Thanks to fedora team)
